### Hierarchy

- Dialog
  - OverflowMenuCustomPane

### Implements

- OnInit
- AfterViewInit
- OnDestroy
- AfterViewInit

## Index

### Inputs

- dialogConfig

### Outputs

- close

### Constructors

- constructor

### Properties

- animationFrameService
- animationFrameSubscription
- close
- data
- dialog
- dialogConfig
- elementRef
- elementService
- i18n
- placement
- placements
- visibilitySubscription

### Methods

- afterDialogViewInit
- clickClose
- doClose
- escapeClose
- ngAfterViewInit
- ngOnDestroy
- ngOnInit
- onClick
- onDialogInit
- placeDialog

### Object literals

- addGap

## Constructors

### constructor

- new OverflowMenuCustomPane(elementRef: ElementRef, i18n: I18n, animationFrameService?: AnimationFrameService, elementService?: ElementService): OverflowMenuCustomPane

- Overrides Dialog.constructor

  - Defined in src/dialog/overflow-menu/overflow-menu-custom-pane.component.ts:28

  #### Parameters

  - ##### elementRef: ElementRef

  - ##### i18n: I18n

  - ##### Default value animationFrameService: AnimationFrameService = null

  - ##### Default value elementService: ElementService = null

  #### Returns OverflowMenuCustomPane

## Properties

### Protected animationFrameService

@Optional()
animationFrameService: AnimationFrameService

Overrides Dialog.animationFrameService

- Defined in src/dialog/overflow-menu/overflow-menu-custom-pane.component.ts:32

### Protected animationFrameSubscription

animationFrameSubscription: Subscription = new Subscription()

Inherited from Dialog.animationFrameSubscription

- Defined in src/dialog/dialog.component.ts:60

### close

@Output()
close: EventEmitter<CloseMeta> = new EventEmitter()

Inherited from Dialog.close

- Defined in src/dialog/dialog.component.ts:36

### data

data: object

Inherited from Dialog.data

- Defined in src/dialog/dialog.component.ts:51

#### Type declaration

### dialog

@ViewChild({"selector":"dialog","opts":"{ static: false }"})
dialog: ElementRef

Inherited from Dialog.dialog

- Defined in src/dialog/dialog.component.ts:46

### dialogConfig

@Input()
dialogConfig: DialogConfig

Inherited from Dialog.dialogConfig

- Defined in src/dialog/dialog.component.ts:41

### Protected elementRef

elementRef: ElementRef

Overrides Dialog.elementRef

- Defined in src/dialog/overflow-menu/overflow-menu-custom-pane.component.ts:30

### Protected elementService

@Optional()
elementService: ElementService

Overrides Dialog.elementService

- Defined in src/dialog/overflow-menu/overflow-menu-custom-pane.component.ts:34

### Protected i18n

i18n: I18n

- Defined in src/dialog/overflow-menu/overflow-menu-custom-pane.component.ts:31

### placement

placement: string

Inherited from Dialog.placement

- Defined in src/dialog/dialog.component.ts:56

### Protected placements

placements: Positions

Inherited from Dialog.placements

- Defined in src/dialog/dialog.component.ts:78

### Protected visibilitySubscription

visibilitySubscription: Subscription = new Subscription()

Inherited from Dialog.visibilitySubscription

- Defined in src/dialog/dialog.component.ts:58

## Methods

### afterDialogViewInit

- afterDialogViewInit(): void

- Inherited from Dialog.afterDialogViewInit

  - Defined in src/dialog/dialog.component.ts:158

  #### Returns void

### clickClose

@HostListener({"eventName":"document:click","args":"[$event]"})

- clickClose(event: any): void

- Inherited from Dialog.clickClose

  - Defined in src/dialog/dialog.component.ts:231

  #### Parameters

  - ##### event: any

  #### Returns void

### doClose

- doClose(meta?: CloseMeta): void

- Inherited from Dialog.doClose

  - Defined in src/dialog/dialog.component.ts:244

  #### Parameters

  - ##### Default value meta: CloseMeta = { reason: CloseReasons.interaction }

  #### Returns void

### escapeClose

@HostListener({"eventName":"keydown","args":"[$event]"})

- escapeClose(event: KeyboardEvent): void

- Inherited from Dialog.escapeClose

  - Defined in src/dialog/dialog.component.ts:207

  #### Parameters

  - ##### event: KeyboardEvent

  #### Returns void

### ngAfterViewInit

- ngAfterViewInit(): void

- Inherited from Dialog.ngAfterViewInit

  - Defined in src/dialog/dialog.component.ts:106

  #### Returns void

### ngOnDestroy

- ngOnDestroy(): void

- Inherited from Dialog.ngOnDestroy

  - Defined in src/dialog/dialog.component.ts:251

  #### Returns void

### ngOnInit

- ngOnInit(): void

- Inherited from Dialog.ngOnInit

  - Defined in src/dialog/dialog.component.ts:94

  #### Returns void

### onClick

- onClick(event: any): void

- - Defined in src/dialog/overflow-menu/overflow-menu-custom-pane.component.ts:39

  #### Parameters

  - ##### event: any

  #### Returns void

### onDialogInit

- onDialogInit(): void

- Overrides Dialog.onDialogInit

  - Defined in src/dialog/overflow-menu/overflow-menu-custom-pane.component.ts:46

  #### Returns void

### placeDialog

- placeDialog(): void

- Inherited from Dialog.placeDialog

  - Defined in src/dialog/dialog.component.ts:163

  #### Returns void

## Object literals

### Protected addGap

addGap: object

Inherited from Dialog.addGap

- Defined in src/dialog/dialog.component.ts:66

### bottom

- bottom(pos: any): AbsolutePosition

- - Defined in src/dialog/dialog.component.ts:70

  #### Parameters

  - ##### pos: any

  #### Returns AbsolutePosition

### left

- left(pos: any): AbsolutePosition

- - Defined in src/dialog/dialog.component.ts:67

  #### Parameters

  - ##### pos: any

  #### Returns AbsolutePosition

### left-bottom

- left-bottom(pos: any): AbsolutePosition

- - Defined in src/dialog/dialog.component.ts:71

  #### Parameters

  - ##### pos: any

  #### Returns AbsolutePosition

### right

- right(pos: any): AbsolutePosition

- - Defined in src/dialog/dialog.component.ts:68

  #### Parameters

  - ##### pos: any

  #### Returns AbsolutePosition

### right-bottom

- right-bottom(pos: any): AbsolutePosition

- - Defined in src/dialog/dialog.component.ts:72

  #### Parameters

  - ##### pos: any

  #### Returns AbsolutePosition

### top

- top(pos: any): AbsolutePosition

- - Defined in src/dialog/dialog.component.ts:69

  #### Parameters

  - ##### pos: any

  #### Returns AbsolutePosition

Generated using TypeDoc